Name:           nethogs
Version:        0.8.8
Release:        %mkrel 2
Summary:        A tool resembling top for network traffic
Group:          Monitoring
License:        GPLv2
URL:            https://raboof.github.io/nethogs/
Source0:        https://github.com/raboof/nethogs/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  libstdc++-devel
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(libpcap)
BuildRequires:  gcc-c++

Requires:       ncurses

%description
NetHogs is a small "net top" tool.

Instead of breaking the traffic down per protocol or per subnet, like
most such tools do, it groups bandwidth by process and does not rely
on a special kernel module to be loaded.

So if there's suddenly a lot of network traffic, you can fire up
NetHogs and immediately see which PID is causing this, and if it's
some kind of spinning process, kill it.

%prep
%autosetup -p1

%build
%set_build_flags
%make_build

%install
%make_install PREFIX=%{_prefix}

%files
%doc DESIGN README.md
%{_sbindir}/nethogs
%{_mandir}/man*/*


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.8.8-2.mga10
+ Revision: 2233709
- Mageia 10 Mass Rebuild

* Wed Jan 08 2025 daviddavid <daviddavid> 0.8.8-1.mga10
+ Revision: 2136162
- new version: 0.8.8

* Sun Jan 29 2023 daviddavid <daviddavid> 0.8.7-1.mga9
+ Revision: 1936740
- new version: 0.8.7
- remove merged upstream patch

* Tue Mar 29 2022 umeabot <umeabot> 0.8.6-3.mga9
+ Revision: 1831312
- Mageia 9 Mass Rebuild

* Sat Mar 12 2022 danf <danf> 0.8.6-2.mga9
+ Revision: 1790517
- Add format-security.patch to fix compiling with gcc 12

* Wed Apr 22 2020 daviddavid <daviddavid> 0.8.6-1.mga8
+ Revision: 1570716
- new version: 0.8.6

* Thu Feb 13 2020 umeabot <umeabot> 0.8.5-4.mga8
+ Revision: 1515354
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 0.8.5-3.mga7
+ Revision: 1299709
- Mageia 7 Mass Rebuild

* Sat Sep 16 2017 cjw <cjw> 0.8.5-2.mga7
+ Revision: 1154860
- setup compile flags to fix debug packages

* Sat Sep 17 2016 daviddavid <daviddavid> 0.8.5-1.mga6
+ Revision: 1053552
- new version: 0.8.5

* Sat Jan 16 2016 daviddavid <daviddavid> 0.8.1-1.mga6
+ Revision: 923548
- new version: 0.8.1
- update URL and Source URL
- do not mark man files as doc

* Tue Dec 16 2014 juancho <juancho> 0.8.0-1.mga5
+ Revision: 803335
- imported package nethogs


* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-3
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Nov 07 2011 Anderson Silva <ansilva@redhat.com> - 0.8.0-1
- Update from upstream. 

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 9 2009 Anderson Silva <afsilva@fedoraproject.org> - 0.7.0-7
- Update codebase to version 0.7.0 
- remove patches
* Fri Feb 26 2009 Manuel "lonely wolf" Wolfshant <wolfy@fedoraproject.org> - 0.7-6.20080627cvs
- Adjust the patch in order to compile with gcc4
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-5.20080627cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
* Sun Sep 21 2008 Ville Skyttä <ville.skytta at iki.fi> - 0.7-4.20080627cvs
- Fix Patch0:/%%patch mismatch.
* Fri Jul 08 2008 Anderson Silva <ansilva@redhat.com> 0.7-3.20080627cvs
- Fix for debuginfo package provided by Ville Skytta.
* Fri Jun 27 2008 Anderson Silva <ansilva@redhat.com> 0.7-2.20080627cvs
- Patch provided by Marek Mahut to compile under Fedora 9
- Removed BuildArch restrictions
* Fri Jun 27 2008 Anderson Silva <ansilva@redhat.com> 0.7-1.20080627cvs
- Stable package of nethogs
